set linesize 32000
set pagesize 1000
set trimspool on
set termout on
set echo on
set timing on

spool test.log

drop table test;

create table test as select * from dba_tables;

create index testi on test(owner);

execute dbms_stats.gather_table_stats(NULL,'TEST');

select sum(blocks) from test where owner='SYS';

select * from table(dbms_xplan.display_cursor(null,null,'ALL'));

select /*+full(test) */ sum(blocks) from test where owner='SYS';

select * from table(dbms_xplan.display_cursor(null,null,'ALL'));

spool off
